#ifdef MEDIA068_S10EA_S10EB_S11E_S12E_S12G_S13FA_S13FB_S20E_S21E_G14ED_G20E_G21E_A20ED_A20E_A20F_A20G_A21E_A22E_A22G_X30J_P20JA_P20JB_A31E_F31E_F31J_X31J_P31J
unsigned int16_t F0431_STARTEND_GetDarkenedColor(
#ifdef MEDIA009_S10EA_S10EB_S11E_S12E_S12G_S13FA_S13FB_S20E_S21E_G14ED_G20E_G21E_A20ED_A20E_A20F_A20G_A21E_A22E_A22G
P0848_ui_RGBColor)
#endif
REGISTER unsigned int16_t P0848_ui_RGBColor FINAL_SEPARATOR
{
#ifdef MEDIA080_S10EA_S10EB_S11E_S12E_S12G_S13FA_S13FB_S20E_S21E_G14ED_G20E_G21E_A20ED_A20E_A20F_A20G_A21E_A22E_A22G_A31E
        if (M007_GET(P0848_ui_RGBColor, M512_MASK_BLUE_COMPONENT)) {
                P0848_ui_RGBColor--;
        }
        if (M007_GET(P0848_ui_RGBColor, M511_MASK_GREEN_COMPONENT)) {
                P0848_ui_RGBColor -= 16;
        }
        if (M007_GET(P0848_ui_RGBColor, M510_MASK_RED_COMPONENT)) {
                P0848_ui_RGBColor -= 256;
        }
#endif
        return P0848_ui_RGBColor;
}
#endif
